nested_grand_parent:
  label: Grand parent
  namespace: Tests/Inheritance
  use: '@tests/children/_grand_parent.twig'
  visibility: storybook
  dependencies:
    - nested_parent
  fields:
    parent:
      type: pattern
      label: Parent
      preview:
        - id: nested_parent
          fields:
            child_a:
              id: nested_child
              fields:
                text: I am not the default
            child_b:
              id: nested_child
              fields:
                text: Neither am I default
  variants:
    __default:
      label: Default
    happy_grand_children:
      label: Happy grand children
      fields:
        parent:
          id: nested_parent
          variant: happy_children
    blue_grand_children:
      label: Blue grand children
      fields:
        parent:
          id: nested_parent
          fields:
            child_a:
              id: nested_child
              fields:
                text: I'm am blue
            child_b:
              id: nested_child
              fields:
                text: Soo blue
